jQuery(document).ready(function($){
    var source = '';
    
    if ( $('.ninzio-btn-import').data('disabled') ) {
        $(this).attr('disabled', 'disabled');
    }
    
    $('.ninzio-btn-import').click(function(){
        // all
        source = $('.ninzio-demo-import-wrapper .source-data').val();
        if ( confirm('Do you want to import demo now ?') ) {
            
            $(this).attr('disabled', 'disabled');
            $('.ninzio-progress-content').show();
            
            $('.first_settings span').hide();
            $('.first_settings .installing').show();
            $('.steps li').removeClass('active');
            $('.first_settings').addClass('active');

            ninzio_import_type('first_settings');
        }
    });

    function ninzio_import_type( type ) {
        $.ajax({
            type: 'POST',
            url: ajaxurl,
            data: {
                action: 'ninzio_import_sample',
                demo_source: source,
                ajax: 1,
                import_type: type
            },
            dataType: 'json',
            success: function (res) {
                var next = res.next;

                if ( res.status == false ) {
                    ninzio_import_error( res );
                    return false;
                }

                if ( next == 'done' ) {
                    ninzio_import_complete( type );
                    return false;
                }
                
                if ( next == 'error' ) {
                    ninzio_import_error( res );
                    return false;
                }

                ninzio_import_complete_step( type, res );
                ninzio_import_type( next );
            },
            error: function (html) {
                $('.ninzio_progress_error_message .ninzio-error .content').append('<p>' + html + '</p>');
                $('.ninzio_progress_error_message').show();
                return false;
            }
        });

        return false;
    }

    function ninzio_import_complete_step(type, res) {
        $( '.' + type + ' span' ).hide();
        $( '.' + type + ' .installed' ).show();

        var next = res.next;
        if ( next == 'done' ) {
            $('.ninzio-complete').show();
            $('.steps li').removeClass('active');
        } else {
            $('.' + next + ' span').hide();
            $('.' + next + ' .installing').show();
            $('.steps li').removeClass('active');
            $('.' + next).addClass('active');
        }
    }

    function ninzio_import_complete(type) {
        $( '.' + type + ' span' ).hide();
        $( '.' + type + ' .installed' ).show();
        $('.ninzio-complete').show();
    }

    function ninzio_import_error(res) {
        if ( res.msg !== undefined && res.msg != '' ) {
            $('.ninzio_progress_error_message .ninzio-error .content').append('<p>' + res.msg + '</p>');
            $('.ninzio_progress_error_message').show();
        }
    }

});


